Bug 18935 - /etc/rc.d/rc.sysinit is not installed during upgrade
Summary: /etc/rc.d/rc.sysinit is not installed during upgrade
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-12 06:41 UTC by Need Real Name
Modified: 2014-03-17 02:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-21 16:10:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-12 06:41:41 UTC
After upgrading from RedHat 6.1, the system would not boot into runlevel 3.
Tons of error messages were spewed to the console during various parts of
the init process about the root fs being read only. Further investigation
revealed that rc.sysinit no longer existed, and had been moved to
rc.sysinit.rpmsave. The contents of that file indicated that it was my old
6.1 rc.sysinit, which I had made some small customizations to (I don't know
if that would cause this problem).

Copying the file to rc.sysinit allowed the system to remount the root fs
read-write at the next boot, but the following error was still reported
when starting each service: " "/etc/init.d/functions: No such file or
directory". /etc/init.d was not a symlink to /etc/rc.d/init.d, but rather a
directory containing only the file "cups" (I had installed cups 1.1.4 prior
to the upgrade). Replacing it with a symlink allowed the system to boot
properly.

The system is an i686 SMP.

Comment 1 Michael Fulbright 2000-10-18 21:58:36 UTC
Apparently a problem when the initscripts package is upgraded - reassigning.

Comment 2 Bill Nottingham 2000-10-18 23:20:46 UTC
What does your upgrade.log look like?

It's most likely a problem dealing with that cups package you installed.


Note You need to log in before you can comment on or make changes to this bug.